<?php // $Id: iInsertAuthor.php,v 1.1 2005/10/21 14:09:56 geothms Exp geothms $
session_start();
$pTipoUtilizador = $_SESSION['tipoUtilizador'];
if ($pTipoUtilizador=="anonymous" || $pTipoUtilizador=="regular") { // separa por tipo de utilizador
  require('headersubUsers.inc');
  require('menusubUsers.inc');
  echo "<meta http-equiv='refresh' content='0; url=../users.php' />";
  exit;  // os anonimos não têem acesso a esta página
}
else {
  require('headersubAdmins.inc');
  require('menusubAdmins.inc');
}
?>



<center>
<h3 class="maketitle">Geometry Figures, Insert/Update</h3>
</center>



<?php
require('loginsub.php');
?>

<?php

// cria uma pesquisa
$sql = "SELECT figureId,teoId,drawerId
          FROM figures
      ORDER BY teoId,figureId";
$resultado = mysql_query($sql,$ligacao);


// O números de campos obtidos
$ncampos =mysql_num_fields($resultado);
$nlinhas =mysql_num_rows($resultado);

echo "<center>";
echo "<h4 class='maketitle'>$nlinhas Geometry Figures</h4>";
echo "</center>";

print "<p>&nbsp;</p>";
print "<center>";
print "<table border=1>\n";
print "<tr>\n";
print " <td colspan=8 STYLE='background:#efefef' align=right><a href=insertFigure.php>Insert a new Geometric Figure</a></td>\n";
print "</tr>\n\n";
print "<tr>\n";
print "<th>Proof Id</th><th>Theorem  Id</th><th>Theorem Name</th><th>Drawer Name</th><th>Drawer Version</th><th>&nbsp;</th><th>&nbsp;</th><th>&nbsp;</th>";
print "</tr>\n\n";
while ($linha = mysql_fetch_assoc($resultado)){
  print "<tr>\n";
  $pDemId=trim($linha['figureId']);
  $pTeoId=trim($linha['teoId']);
  $pDrawerId=trim($linha['drawerId']);
// Obtém a informação acerca do Teorema e do Desenhador
  $sqlThm = "SELECT teoName
               FROM theorems
              WHERE teoId='$pTeoId'";
  $resultadoThm = mysql_query($sqlThm,$ligacao);
  $linhaThm = mysql_fetch_assoc($resultadoThm);
  $pThmName = trim($linhaThm['teoName']);
  $sqlDrw = "SELECT name,version
               FROM drawers
              WHERE drawerId=$pDrawerId";
  $resultadoDrw = mysql_query($sqlDrw,$ligacao);
  $linhaDrw = mysql_fetch_assoc($resultadoDrw);
  $pDrwName = trim($linhaDrw['name']);
  $pDrwVersion = trim($linhaDrw['version']);
  print " <td align=center>$pDemId</td>\n"; 
  print " <td>$pTeoId</td>\n";
  print " <td>$pThmName</td>\n";
  print " <td>$pDrwName</td>\n";
  print " <td>$pDrwVersion</td>\n";
  print " <td>&nbsp;</td>\n";
  print " <td><a href=seedetailsFigure.php?argumento=$pDemId>See details</a></td>\n";
  print " <td><a href=updateFigure.php?argumento=$pDemId>update</a></td>\n";
  print"</tr>\n\n";
 }
print "</table>\n";
print "</center>";
print "<p>&nbsp;</p>";
?>




<?php
  require('footer.inc');
?>
